Package org.eclipse.net4j.util.security

# Interface ICredentialsProvider2

All Superinterfaces:
  `ICredentialsProvider`

All Known Subinterfaces:
  `IPasswordCredentialsProvider2`

All Known Implementing Classes:
  `InteractiveCredentialsProvider`

public interface ICredentialsProvider2 extends ICredentialsProvider

Since:
  3.3
Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`ICredentials`
`getCredentials(String realm)`

### Methods inherited from interface org.eclipse.net4j.util.security.ICredentialsProvider

`getCredentials, isInteractive`

## Method Details

### getCredentials

ICredentials getCredentials(String realm)